summaryrefslogtreecommitdiff
path: root/tests/dd/skip-seek2
diff options
context:
space:
mode:
Diffstat (limited to 'tests/dd/skip-seek2')
-rwxr-xr-xtests/dd/skip-seek257
1 files changed, 57 insertions, 0 deletions
diff --git a/tests/dd/skip-seek2 b/tests/dd/skip-seek2
new file mode 100755
index 0000000..a4fc9ab
--- /dev/null
+++ b/tests/dd/skip-seek2
@@ -0,0 +1,57 @@
+#!/bin/sh
+# show how to skip an amount that is smaller than the nominal block size.
+# There's a more realistic example in the documentation.
+
+# Copyright (C) 2000, 2004, 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ dd --version
+fi
+
+pwd=`pwd`
+tmp=skip-seek.$$
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ (exit 1); exit 1
+fi
+
+fail=0
+
+echo LA:3456789abcdef > in || fail=1
+(dd bs=1 skip=3 count=0 && dd bs=5) < in > out 2> /dev/null || fail=1
+case `cat out` in
+ 3456789abcdef) ;;
+ *) fail=1 ;;
+esac
+
+echo LA:3456789abcdef > in || fail=1
+(dd bs=1 skip=3 count=0 && dd bs=5 count=2) < in > out 2> /dev/null || fail=1
+case `cat out` in
+ 3456789abc) ;;
+ *) fail=1 ;;
+esac
+
+(exit $fail); exit $fail